API ReferenceapiclinicalGET /v1/vials/refill-due

GET /v1/vials/refill-due

Service: clinical · operationId: (none)

List the current user’s active vials in the refill reminder window

Required scopes

(no scope declared — review service config)

Responses

200 Current user’s refill-due vials

{
  "type": "object",
  "properties": {
    "vials": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "vial_id": {
            "type": "string",
            "format": "uuid"
          },
          "peptide_id": {
            "type": "string"
          },
          "reconstituted_at": {
            "type": "string",
            "format": "date-time"
          },
          "expires_at": {
            "type": "string",
            "format": "date-time"
          },
          "days_remaining": {
            "type": "integer",
            "exclusiveMinimum": 0
          }
        },
        "required": [
          "vial_id",
          "peptide_id",
          "reconstituted_at",
          "expires_at",
          "days_remaining"
        ]
      }
    }
  },
  "required": [
    "vials"
  ]
}

500 Internal server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/vials/refill-due \
  -H "Authorization: Bearer $ACCESS_TOKEN"